package results;

/** Competitor in a contest */
public final class Competitor
{
  /** The series the competitor belongs to */
  Series series;
  /** Name of the competitor */
  String name;
  /** Country of the competitor */
  Country country;
  /** Team of the competitor */
  Team team;

  /** Constructor
   * @param name	name of the competitor
   * @param country	country of the competitor
   * @param team	the team the competitor belongs to
   */
  public Competitor (String name, Country country) {
    this.name = name;
    this.country = country;
  }

  /** Get the name of the competitor */
  public String getName () { return name; }
  /** Get the country of the competitor */
  public Country getCountry () { return country; }
  /** Get the team of the competitor */
  public Team getTeam () { return team; }
  /** Set the name of the competitor */
  public void setName (String name) {
    if (this.name.equals (name)) return;
    this.name = name;
    if (series != null) series.flagModified ();
  }
  /** Set the country of the competitor */
  public void setCountry (Country country) {
    if (this.country == country) return;
    this.country = country;
    if (series != null) series.flagModified ();
  }
  /** Set the team of the competitor */
  public void setTeam (Team team) {
    if (this.team == team) return;
    this.team = team;
    if (series != null) series.flagModified ();
  }

  /** Convert the competitor to a printable string */
  public String toString () { return name; }
}
