package results;

import java.util.Vector;

/** Jury member in different contests */
public final class Judge {
  /** The series the judge belongs to */
  Series series;
  /** Name of the judge */
  String name;
  /** Country of the judge */
  Country country;

  /** Constructor
   * @param name	Name of the judge
   * @param country	Country of the judge
   */
  public Judge (String name, Country country) {
    this.name = name;
    this.country = country;
  }

  /** Get the name of the judge */
  public String getName () { return name; }
  /** Get the country of the judge */
  public Country getCountry () { return country; }
  /** Set the name of the judge */
  public void setName (String name) {
    if (this.name.equals (name)) return;
    this.name = name;
    if (series != null) series.flagModified ();
  }
  /** Set the country of the judge */
  public void setCountry (Country country) {
    if (this.country == country) return;
    this.country = country;
    if (series != null) series.flagModified ();
  }

  /** Convert this object to a character string */
  public String toString () {
    return name + " (" + country + ")";
  }
}
