package results;

import java.util.Comparator;

/** Sort mirrors according to their numbers */
final class MirrorSorter
  implements Comparator
{
  /** The error reporter object */
  private ErrorReporter reporter;

  /** Constructor
   * @param reporter	object for reporting non-unique numbers
   */
  public MirrorSorter (ErrorReporter reporter)
  {
    this.reporter = reporter;
  }

  /** Compare two Mirror objects */
  public int compare (Object o1, Object o2)
  {
    final Mirror m1 = (Mirror) o1, m2 = (Mirror) o2;
    final int diff = m1.number - m2.number;
    if (diff == 0 && o1 != o2) {
      if (m1.number == 0)
	reporter.reportMissingNumber (m1);
      else
	reporter.reportRepeatedNumber (m1, m2);
    }
    return diff;
  }
}
