package results;

/** Points given by a judge */
final class Points
{
  /** The judge */
  Judge judge;
  /** Original points given by the judge */
  Integer orig;
  /** Rectified points */
  Integer rect;

  /** Constructor
   * @param judge	the judge
   * @param points	points given by the judge
   */
  Points (Judge judge, Integer points) {
    this.judge = judge;
    orig = points;
    rect = null;
  }
  /** Rectify the points
   * @param average	the average value
   * @param dev		maximum allowed deviation from the average
   */
  void rectify (int average, int dev) {
    if ((rect = orig) == null) {
      rect = new Integer (average);
      return;
    }
    int d = rect.intValue () - average;
    if (d < -dev)
      rect = new Integer (average - dev);
    else if (d > dev)
      rect = new Integer (average + dev);
  }
}
